package gui.menu;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JMenuItem;
import java.util.NoSuchElementException;
import java.util.Set;

import model.SchedulingModel;

class ClearCellsMenuItem extends JMenuItem implements ActionListener {
    private SchedulingModel scheduleMdl;

    public ClearCellsMenuItem(SchedulingModel scheduleMdl) {
        super("Clear cells");
        this.scheduleMdl = scheduleMdl;
        addActionListener(this);
    }

    public void actionPerformed(ActionEvent e) {
        scheduleMdl.clearAllCells();
    }
}

