package gui.menu;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JMenuItem;
import java.util.NoSuchElementException;
import java.util.Set;

import tasks.Taskset;

class ClearTasksetMenuItem extends JMenuItem implements ActionListener {
    private Taskset taskset;

    public ClearTasksetMenuItem(Taskset taskset) {
        super("Clear taskset");
        this.taskset = taskset;
        addActionListener(this);
    }

    public void actionPerformed(ActionEvent e) {
        while (taskset.nbrTasks() > 0) {
            try {
                taskset.removeTask(1);
            } catch (NoSuchElementException error) {}
        }
    }
}

