package gui.menu;

import tasks.Taskset;
import model.Status;
import gui.ScheduLearn;

import javax.swing.JFileChooser;
import java.io.FileNotFoundException;

public class LoadMenuItem extends OpenMenuItem {
    private Taskset taskset;

    public LoadMenuItem(ScheduLearn gui, Taskset taskset, Status status) {
        super(gui, status, "Open File");
        this.taskset = taskset;
    }

    protected void openAction(String path) throws FileNotFoundException {
        try {
            taskset.load(path);
        } catch (FileNotFoundException e) {
            throw e;
        }
    }

    protected int openDialog(JFileChooser fileChooser) {
        return fileChooser.showOpenDialog(gui);
    }
}
