package gui.menu.help;

import static java.awt.BorderLayout.CENTER;
import javax.swing.JFrame;
import javax.swing.JTabbedPane;
import java.awt.Dimension;

public class HelpMenuPane extends JFrame {

    public HelpMenuPane() {
        super("Help Center");

        JTabbedPane tabbedPane = new JTabbedPane();

        tabbedPane.addTab("File Handling", new FileTab());
        tabbedPane.addTab("Strategy", new StrategyTab());
        tabbedPane.addTab("Taskset", new TasksetTab());
        tabbedPane.addTab("Schedule", new ScheduleTab());

        tabbedPane.setTabLayoutPolicy(JTabbedPane.SCROLL_TAB_LAYOUT);
        tabbedPane.setPreferredSize(new Dimension(500, 400));

        add(CENTER, tabbedPane);

        pack();
        setDefaultCloseOperation(DISPOSE_ON_CLOSE);
        setResizable(false);
        setVisible(true);
    }
}
