package gui.schedulegui;

import static java.awt.Color.LIGHT_GRAY;
import static javax.swing.SwingConstants.RIGHT;

import gui.GridPanel;

public class RowLabels extends GridPanel {
    public RowLabels(int rows) {
        super(rows+2, 1);
        add(new ColoredLabel("", LIGHT_GRAY, RIGHT));
        add(new ColoredLabel("", LIGHT_GRAY, RIGHT));
        for (int i = 1; i <= rows; i++) {
            add(new ColoredLabel(String.valueOf(i), LIGHT_GRAY, RIGHT));
        }
    }
}
