package gui.schedulegui;

import javax.swing.JButton;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ShowSolutionButton extends JButton {

    private boolean visible = false;

    protected ShowSolutionButton(SolutionPanel solutionPanel) {
        super("Show Solution");
        addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {

                solutionPanel.toggle();
                if (visible) {
                    setText("Hide Solution");
                    visible = true;
                } else {
                    setText("Show Solution");
                    visible = false;
                }
            }
        });

    } 

}

