package gui.tasksetgui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;

public class AddButton extends JButton {
    
    protected AddButton(TasksetDisplay display) {
        super("Add Task");
        addEventHandler(display);
    }
    
    protected void addEventHandler(TasksetDisplay display) {
        addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                display.addEmpty();
            }
        });
    }
}
