package gui.tasksetgui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;

public class RemoveButton extends JButton {
    
    protected RemoveButton(TasksetDisplay display) {
        super("Remove Task");
        addEventHandler(display);
    }
    
    protected void addEventHandler(TasksetDisplay display) {
        addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                display.removeMarked();
            }
        });
    }
}
