package gui.tasksetgui;

import static java.awt.BorderLayout.CENTER;
import static java.awt.BorderLayout.NORTH;
import java.awt.Color;
import javax.swing.BorderFactory;

import gui.BorderPanel;
import tasks.Taskset;

public class TasksetPanel extends BorderPanel {
    public TasksetPanel(Taskset ts) {
        setBackground(Color.LIGHT_GRAY);
        setBorder(BorderFactory.createTitledBorder("Taskset"));

        TasksetDisplay tsDisplay = new TasksetDisplay(ts);

        add(CENTER, tsDisplay);
        add(NORTH, new ButtonPanel(tsDisplay));
    }
}

