package tasks;

public class Task {
    private int exectime, period, deadline;

    public Task(int exectime, int period, int deadline) {
        this.exectime = exectime;
        this.period   = period;
        this.deadline = deadline;
    }

    public boolean isImplicit() { return this.period == this.deadline; }

    public int exectime() { return exectime; }
    public int period()   { return period;   }
    public int deadline() { return deadline; }

    public int[] attributes() { return new int[]{exectime, period, deadline}; }
    
    public double utilization() { return ((double) exectime) / ((double) period); }

    public String toString() {
        return exectime + "," + period + "," + deadline;
    }
}
