package gui;

import java.util.Observer;
import java.util.Observable;
import java.awt.Color;
import javax.swing.JLabel;
import javax.swing.SwingConstants;

import gui.CurrentSlot;

public class CurrentLabel extends JLabel implements Observer {
    private CurrentSlot currentSlot;

    public CurrentLabel(CurrentSlot currentSlot) {
        super(currentSlot.toString(), SwingConstants.LEFT);
        setBackground(Color.WHITE);
        setOpaque(true);

        this.currentSlot = currentSlot;
        currentSlot.addObserver(this);
    }

    public void update(Observable o, Object arg) {
        setText(currentSlot.toString());
    }
}
