package gui;

import java.util.Observable;

public class CurrentSlot extends Observable {
	private String curAdress;
    private int curTask, curSlot;

	public CurrentSlot(int curTask, int curSlot) {
        this.curTask = curTask;
        this.curSlot = curSlot;
		this.curAdress = "(" + curTask + "," + curSlot + ")";
	}

	public void setCurrentSlot(int newCurTask, int newCurSlot) {
        curTask = newCurTask;
        curSlot = newCurSlot;
		curAdress = "(" + curTask + "," + curSlot + ")";

        setChanged();
		notifyObservers();
	}
	
    public void setCurrentSlot(String adress) {
        if (adress.isEmpty()) return;
        curAdress = adress;
        String[] str = curAdress.replaceAll("\\D+"," ").trim().split(" "); //Extracts all numbers in string form
        curTask = Integer.parseInt(str[0]);
        curSlot = Integer.parseInt(str[1]);

        setChanged();
		notifyObservers();
    }

	public String toString() { return curAdress; }
    public int getCurrentTask() { return curTask; }
    public int getCurrentSlot() { return curSlot; }
}
