package gui;

/*
 * NOTE: TWO INTERFACES ARE NEEDED SUCH THAT THE UI ISN'T UPDATED WHEN MARKED.
 */
public interface UpdateListener {

    /*
     * The function to be performed when the observable class is updated.
     * Object obj is the object calling the update; 
     */
    public void update(Object Obj);

    // or null
    public default void update() { this.update(null); }
}
