package gui.menu;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JMenuItem;

import model.SchedulingModel;

class ClearAllMenuItem extends JMenuItem implements ActionListener {
    private SchedulingModel scheduleMdl;

    public ClearAllMenuItem(SchedulingModel scheduleMdl) {
        super("Clear all");
        this.scheduleMdl = scheduleMdl;
        addActionListener(this);
    }

    public void actionPerformed(ActionEvent e) {
        scheduleMdl.clearAll();
    }
}

