package gui.menu;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JMenuItem;

import model.SchedulingModel;
import model.Status;

public class MatchMenuItem extends JMenuItem implements ActionListener {
    private SchedulingModel scheduleMdl;
    private Status status;

    public MatchMenuItem(SchedulingModel scheduleMdl, Status status) {
        super("Match");
        this.scheduleMdl = scheduleMdl;
        this.status = status;
        addActionListener(this);
    }

    public void actionPerformed(ActionEvent event) {
        status.setStatus((scheduleMdl.match()) ? "The solution is correct" : "The solution is wrong");
    }
}
