package gui.menu;

import tasks.Taskset;
import model.Status;
import gui.ScheduLearn;

import javax.swing.JFileChooser;
import java.io.FileNotFoundException;

public class SaveMenuItem extends OpenMenuItem {
    private Taskset taskset;

    public SaveMenuItem(ScheduLearn gui, Taskset taskset, Status status) {
        super(gui, status, "Save As");
        this.taskset = taskset;
    }

    protected void openAction(String path) throws FileNotFoundException {
        try {
            taskset.save(path + ".sl");
        } catch (FileNotFoundException e) {
            throw e;
        }
    }

    protected int openDialog(JFileChooser fileChooser) {
        return fileChooser.showSaveDialog(gui);
    }
}
