package gui.menu.help;

public class TasksetTab extends TabPanel {

    private static final String[] listOptions = new String[] {
                            "Add Tasks", 
                            "Remove Tasks", 
                            "Change Tasks", 
                            "Clear Taskset", 
                            "Priorities", 
                            "Load Taskset", 
                            "Save Taskset"};

    private static final String[] fieldTexts = new String[] {
                            "To add a task to the taskset, press the \"Add Task\" button, located in the panel titled \"Taskset\". Once this button is pressed, a dialog window will open to let you specify the attributes of the task to add. \nThis application will only allow for integer attributes to be specified. Other input (such as special characters or letters) will result in the task not being added to the taskset. \nAlthough it is possible to add a task with a deadline greater than the period, the scheduling algorithm will consider this an unschedulable task. Make sure to check this if the solution does not show. For information regarding priorities: Read the \"Priorities\" help-tab", 
                            "To remove a task from the taskset, press the task to remove. This highlights the task. When the task to be removed is highlighted, press the \"Remove Task\" button. The taskset will automatically shift the priorities of consecutive tasks to fit the scheduling policy.", 
                            "To change a tasks attributes, simply click the attribute you want to change and enter a new value. To confirm the new value, either press <Enter> or click anywhere else in the window panel. If the value was not entered correctly (for example the field was left empty), the last known valid number will be substituted into the attribute box.", 
                            "Clear TasksetText", 
                            "PrioritiesText", 
                            "Load TasksetText", 
                            "Save TasksetText"};

    public TasksetTab() {
        super(listOptions, fieldTexts);
    }
}

