package gui.tasksetgui;

import javax.swing.JButton;

import tasks.Taskset;
import model.Status;

public abstract class ActionButton extends JButton {
    protected ActionButton(Taskset taskset, Status status, String title) {
        super(title);
        addEventHandler(taskset, status);
    }

    protected abstract void addEventHandler(Taskset taskset, Status status);
}
