package gui.tasksetgui;

import javax.swing.JLabel;
import javax.swing.BorderFactory;
import javax.swing.border.BevelBorder;
import java.awt.Color;

import gui.GridPanel;

public class TaskGridHeader extends GridPanel {
    
    // attributes should contain [prio, exectime, period, deadline]
    public TaskGridHeader(String[] taskAttributes) {
        super(1, 4);
        setBackground(Color.WHITE);
        
        for (int i = 0; i < 4; i++) {
            JLabel label = new JLabel(taskAttributes[i]);
            label.setBorder(BorderFactory.createBevelBorder(BevelBorder.RAISED));
            add(label);
        }
    }
    
    public TaskGridHeader(String prio, String exec, String period, String deadline) {
        this(new String[]{prio, exec, period, deadline});
    }
}
