package strategy;

import tasks.Task;

public class EDFComparator implements PriorityComparator {

    /*
     * compares two tasks according to scheduling algorithm.
     */
    public int compare(Object o1, Object o2) {
        Task t1 = (Task)o1;
        Task t2 = (Task)o2;
        if (t1.deadline() == t2.deadline()) {
            return t1.period() - t2.period();
        }
        return t1.deadline() - t2.deadline();
    }
}
