package tasks;

import java.io.FileNotFoundException;
import java.io.PrintStream;
import java.util.List;

public class TasksetPrintStream extends PrintStream {
    public TasksetPrintStream(String fileName) throws FileNotFoundException {
        super(fileName);
    }

    public void save(List<Task> tasks) {
        for (Task task: tasks) {
            println(task.toString());
        }

        flush();
        close();
    }
}
