package tasks;

/*
 * Utility class
 */
public class Util {
    
    public static int gcd(int a, int b) {
        while (b > 0) {
            int temp = b;
            b = a % b;
            a = temp;
        }
        return a;
    }

    private static int lcm(int a, int b) {
        return a * (b / gcd(a, b));
    }

    public static int lcm(int[] in) {
        int result = in[0];
        for (int i = 1; i < in.length; i++) result = lcm(result, in[i]);
        return result;
    }
}
